Issue 4509

Title
Fiscal year creation after already closed one
Priority
feature
Status
resolved
Superseder
Do not open deferral move when no move (issue 11116)
Nosy list
ced, oscar, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2015-01-26.00:33:39 by ced, last changed 7 months ago by roundup-bot.

Messages

New changeset a6e358caa35c by Cédric Krier in branch 'default':
Prevent creating fiscal year before closed one
https://hg.tryton.org/tryton-env/rev/a6e358caa35c
New changeset f17e81152e14 by Cédric Krier in branch 'default':
Prevent creating fiscal year before closed one
https://hg.tryton.org/modules/account/rev/f17e81152e14
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-02-08.16:18:51
Your analysis that the workflow you describe as affected by this issue is wrong.
Everything is fine as far as the fiscal years are closed by date order.
Author: [hidden] (oscar)
Date: 2015-02-08.15:52:43
So I think that this feature will block the works of accounting users,  because previous fiscal year close process could be later (months), but in parallel is necessary new fiscal year for example for invoices, supplier invoice, etc
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-01-26.00:33:37
The creation of new fiscal year before a closed one should be prevent as it can compromise the computation of the already stored deferrals.
History
Date User Action Args
2022-04-12 10:26:58roundup-botsetmessages: + msg75719
2022-04-12 10:26:44roundup-botsetmessages: + msg75718
nosy: + roundup-bot
status: testing -> resolved
2022-04-12 10:19:30cedsetassignedto: ced
2022-01-05 14:48:06reviewbotsetmessages: + msg73122
nosy: + reviewbot
2022-01-05 14:22:41cedsetkeyword: + review
reviews: 385711006
status: chatting -> testing
superseder: + Do not open deferral move when no move
2015-02-08 16:18:52cedsetmessages: + msg20080
2015-02-08 15:52:44oscarsetstatus: unread -> chatting
nosy: + oscar
messages: + msg20079
2015-01-26 00:33:39cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)